---
- name: "Install certbot systemd service file"
  copy:
    owner: "root"
    group: "root"
    mode: "755"
    src: "certbot-renew.service"
    dest: "/etc/systemd/system/certbot-renew.service"
  notify: "systemd daemon reload"

- name: "Install certbot systemd timer"
  copy:
    owner: "root"
    group: "root"
    mode: "755"
    src: "certbot-renew.timer"
    dest: "/etc/systemd/system/certbot-renew.timer"
  notify: "systemd daemon reload"

- name: "Force systemd handlers run"
  meta: "flush_handlers"

- name: "Enable certbot systemd timer"
  systemd:
    name: "certbot-renew.timer"
    state: "started"
    enabled: "true"
